searchData={"items":[{"type":"module","title":"Surface.Components.Markdown","doc":"# Surface Markdown\n\nA simple Surface macro component that converts **markdown** into **HTML** at compile-time.","ref":"Surface.Components.Markdown.html"},{"type":"module","title":"Installation - Surface.Components.Markdown","doc":"Add `surface_markdown` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:surface_markdown, \"~> 0.7.0\"}\n  ]\nend\n```","ref":"Surface.Components.Markdown.html#module-installation"},{"type":"module","title":"Global configuration (optional) - Surface.Components.Markdown","doc":"A set of global options you can set in `config.exs`. Available options are:\n\n* `default_class` - The default CSS class for the wrapping ` `. It\n  can be overridden using property `class`.\n\n* `default_opts` - The default set of options to be passed down to `Earmark.as_html/2`.\n  It can be overridden using property `opts`.\n\n```elixir\nconfig :surface, :components, [\n  {\n    Surface.Components.Markdown,\n    default_class: \"my-markdown-class\",\n    default_opts: [\n      compact_output: false,\n      ...\n    ]\n  }\n]\n```","ref":"Surface.Components.Markdown.html#module-global-configuration-optional"},{"type":"module","title":"CSS Styling - Surface.Components.Markdown","doc":"Some CSS libs define their own styles for tags like ` `, ` `, ` `, ` `,\n` ` to ` `, etc. This can make the rendered HTML look different from what you\nexpect. One way to fix that is to customize the CSS class on the outer ` ` of the\ngenerated code.\n\nFor instance, in `Bulma`, you can use the class `content` to handle WYSIWYG content\nlike the HTML generated by the Markdown component.\n\nYou can have a default class applied globally using the `default_class` config:\n\n```elixir\nconfig :surface, :components, [\n  {Surface.Components.Markdown, default_class: \"content\"}\n]\n```\n\nOr you can set/override it individually for each `<#Markdown>` instance using\nthe `class` property.\n\n```elixir\n<#Markdown class=\"content\">\n...\n</#Markdown>\n```","ref":"Surface.Components.Markdown.html#module-css-styling"},{"type":"module","title":"License - Surface.Components.Markdown","doc":"Copyright (c) 2021, Marlus Saraiva.\n\nSurface source code is licensed under the [MIT License](LICENSE).","ref":"Surface.Components.Markdown.html#module-license"},{"type":"module","title":"Properties - Surface.Components.Markdown","doc":"* **class** *:string* - The CSS class for the wrapping ` `\n* **unwrap** *:boolean, static: true, default: false* - Removes the wrapping ` `, if `true`\n* **opts** *:keyword, static: true, default: []* - Keyword list with options to be passed down to `Earmark.as_html/2`.\n\nFor a full list of available options, please refer to the\n[Earmark.as_html/2](https://hexdocs.pm/earmark/Earmark.html#as_html/2)\ndocumentation.","ref":"Surface.Components.Markdown.html#module-properties"},{"type":"module","title":"Slots - Surface.Components.Markdown","doc":"* **default** - The markdown text to be translated to HTML","ref":"Surface.Components.Markdown.html#module-slots"},{"type":"function","title":"Surface.Components.Markdown.expand/3","doc":"","ref":"Surface.Components.Markdown.html#expand/3"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2021 surface-ui\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown"}